V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/arms
Retrieves list of treatment arms for all study versions.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686EExample:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
includeAllSubjects: boolean
Include dummy entry for all subjects along with all treatment arms. Optional.Default Value:
falseExample:false -
mode(required): string
Study mode to filter arms.Allowed Values:
[ "test", "training", "active" ]Example:test
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : RespArmDtoWithStudyVersion
Type:
Show Source
object-
description: string
Title:
Treatment Arm DescriptionMinimum Length:0Maximum Length:4000Optional description of the treatment arm. Length: 0 to 4000 characters.Example:Investigational treatment arm -
id: string
(uuid)
Title:
Treatment Arm IDMinimum Length:32Maximum Length:32Treatment arm ID. UUID, 32-character uppercase hexadecimal string. For update requests, use the armId path parameter. -
shortName(required): string
Title:
Treatment Arm Short NameMinimum Length:1Maximum Length:64Short name used to identify the treatment arm. Required for create and update requests. Length: 1 to 64 characters.Example:ARM_A -
studyId: string
(uuid)
Title:
Study IDMinimum Length:32Maximum Length:32Study ID. UUID, 32-character uppercase hexadecimal string. Included in responses when available. -
studyVersion: string
Study version of the study in which treatment arm belongsExample:
1.0.0.1 -
studyVersionEnd: string
(date-time)
Title:
Study Version EndDate and time when the associated study version ends. Included in responses when available.Example:3099-12-31T05:00:00Z -
studyVersionStart: string
(date-time)
Title:
Study Version StartDate and time when the associated study version starts. Included in responses when available.Example:2024-01-15T10:30:00Z -
title(required): string
Title:
Treatment Arm TitleMinimum Length:1Maximum Length:64Treatment arm title. Required for create and update requests. Length: 1 to 64 characters.Example:Treatment Arm A -
versionEnd: string
(date-time)
Title:
Version EndDate and time when this treatment arm version ends. Included in responses when available.Example:3099-12-31T05:00:00Z -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}